WP5DefinitionGroup Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP5DefinitionGroup Class Reference

`#include <WP5DefinitionGroup.h>`

Inheritance diagram for WP5DefinitionGroup:

## Public Member Functions
| WP5DefinitionGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP5DefinitionGroup ()
void | parse (WP5Listener *listener)
Public Member Functions inherited from WP5VariableLengthGroup
| WP5VariableLengthGroup ()
virtual | ~WP5VariableLengthGroup ()
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Protected Member Functions
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
Protected Member Functions inherited from WP5VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Private Member Functions
| WP5DefinitionGroup (const WP5DefinitionGroup &)
WP5DefinitionGroup & | operator= (const WP5DefinitionGroup &)

## Private Attributes
WP5VariableLengthGroup_SubGroup * | m_subGroupData

## Additional Inherited Members
Static Public Member Functions inherited from WP5VariableLengthGroup
static WP5VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

WP5DefinitionGroup::WP5DefinitionGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

WP5DefinitionGroup::~WP5DefinitionGroup | ( |  | ) |

WP5DefinitionGroup::WP5DefinitionGroup | ( | const WP5DefinitionGroup & |  | ) |
| private

## Member Function Documentation

void WP5DefinitionGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protectedvirtual

Reimplemented from WP5VariableLengthGroup.

WP5DefinitionGroup& WP5DefinitionGroup::operator= | ( | const WP5DefinitionGroup & |  | ) |
| private

void WP5DefinitionGroup::parse | ( | WP5Listener * | listener | ) |
| virtual

Implements WP5Part.

## Member Data Documentation

WP5VariableLengthGroup_SubGroup* WP5DefinitionGroup::m_subGroupData
| private

Referenced by _readContents(), parse(), and ~WP5DefinitionGroup().

The documentation for this class was generated from the following files:

- WP5DefinitionGroup.h
- WP5DefinitionGroup.cpp